org.apache.tomcat.util.net.jsse

## Class JSSEImplementation

- java.lang.Object
- - org.apache.tomcat.util.net.SSLImplementation
  - - org.apache.tomcat.util.net.jsse.JSSEImplementation

-     public class JSSEImplementation
      extends SSLImplementation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSSEImplementation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getImplementationName()`
    `ServerSocketFactory` | `getServerSocketFactory(AbstractEndpoint<?> endpoint)`
    `SSLSupport` | `getSSLSupport(Socket s)`
    `SSLSupport` | `getSSLSupport(SSLSession session)`
    `SSLUtil` | `getSSLUtil(AbstractEndpoint<?> endpoint)`

    - ### Methods inherited from class org.apache.tomcat.util.net.SSLImplementation

      `getInstance, getInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JSSEImplementation

          public JSSEImplementation()

  - ### Method Detail

    - #### getImplementationName

          public String getImplementationName()

      Specified by:
        `getImplementationName` in class `SSLImplementation`

    - #### getServerSocketFactory

          public ServerSocketFactory getServerSocketFactory(AbstractEndpoint<?> endpoint)

      Specified by:
        `getServerSocketFactory` in class `SSLImplementation`

    - #### getSSLSupport

          public SSLSupport getSSLSupport(Socket s)

      Specified by:
        `getSSLSupport` in class `SSLImplementation`

    - #### getSSLSupport

          public SSLSupport getSSLSupport(SSLSession session)

      Specified by:
        `getSSLSupport` in class `SSLImplementation`

    - #### getSSLUtil

          public SSLUtil getSSLUtil(AbstractEndpoint<?> endpoint)

      Specified by:
        `getSSLUtil` in class `SSLImplementation`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.